if(!dojo._hasResource["com.ibm.mm.builder.widget.ColumnLayoutResizeWidget"]){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource["com.ibm.mm.builder.widget.ColumnLayoutResizeWidget"] = true;
dojo.provide("com.ibm.mm.builder.widget.ColumnLayoutResizeWidget");

dojo.require("com.ibm.mm.builder.widget.ResizeWidget");
dojo.require("com.ibm.mm.builder.widget.CustomDialog");

dojo.declare("com.ibm.mm.builder.widget.ColumnLayoutResizeWidget", com.ibm.mm.builder.widget.ResizeWidget, {	

	minHeight:40,
	
	postCreate: function(){
		this.inherited(arguments);
		this.widgetHeightInput.constraints = {min:this.minHeight, places:0};
		dojo.style(this.resizeWidthDiv, "display", "none");
	},
	
	updateProperty: function(widgetId){
		this.widgetId = widgetId;
		this.maxHeight = this.getMaxHeight(widgetId);
		this.widgetHeightInput.constraints = {
			min: this.minHeight, 
			max: this.maxHeight,
			places: 0
		};
		
		var height = com.ibm.mm.builder.utils.skinUtil.getLocationValue("height", widgetId);
		if (height){
			height = parseInt(height,10);	
			this.widgetHeightInput.setValue(height);
		}
		this.uniDialog.show();
	},
	
	getMaxHeight : function(widgetId){
		var curWidget = dojo.byId(com.ibm.mm.builder.constant.skinIdPrefix + widgetId);
		var containerNode = curWidget.parentNode;
		if(curWidget && containerNode){
			var curWidgetBox = dojo.marginBox(curWidget);
			var curTop = parseInt(curWidgetBox.t,10);	
			
			var wholeHeight = dojo._getContentBox(containerNode).h;
			var maxHeight = wholeHeight - curTop + 200;
			return 	maxHeight;
		}
		return null;	
	},
	
	setTitle: function(title){
		if (this.uniDialog) {
			this.uniDialog.setTitle(title);
		}
	},
	
	save: function(){
		if (!this.widgetHeightInput.isValid()) {
			return;
		}
		
		if (com.ibm.mm.builder.utils.layoutUtil.widgetInLayout(this.widgetId,this.layoutContext.widgetId)){
			//It is calling this method previously, need double check whether the BiDi issue still there in Safari 4.
			//com.ibm.mm.builder.utils.layoutUtil.resizeWidget(this.widgetId, this.widgetHeightInput.getValue());
			com.ibm.mashups.builder.Personalize.setPersonalizeWidgetState(this.widgetId, "normal");
			var payload = {
				widgetId: this.widgetId,
				height: this.widgetHeightInput.getValue()
			};
			var eventService = com.ibm.mashups.services.ServiceManager.getService("eventService");
			eventService.broadcastEvent("com.ibm.mashups.builder.resizeWidget", payload);			
			dojo.publish(com.ibm.mm.builder.eventTopics.Widget_Column_AddOrDel, []);
		}	
		
		this.hide();
	}
});

}
